Functionality for Follow-up and Quarterly calls for 18+ to be 'child' only

03/02/2023 14:17 - Sara Schenkel

Status: Closed Start date: 03/02/2023

Priority: Normal Due date: 20/02/2024

Assignee: Moses Chawawa % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Please allow for when a child turns 18+ and has completed the continued participation consent and if they so wish to attend the follow-up

visit alone or complete the quarterly phone calls without their caregiver, only the child CRFs are required. 

As in, the caregiver forms are not required for visits/calls HOWEVER they can be completed if the child is OK with their caregiver

continuing to participate.

History

#1 - 06/02/2023 07:52 - Ame Diphoko

- Assignee set to Ame Diphoko

#2 - 20/02/2023 07:59 - Ame Diphoko

- Due date set to 24/02/2023

#3 - 28/02/2023 09:12 - Ame Diphoko

- Due date changed from 24/02/2023 to 02/03/2023

#4 - 15/03/2023 07:58 - Ame Diphoko

- Due date deleted (02/03/2023)

#5 - 11/04/2023 08:38 - Coulson Kgathi

- Assignee deleted (Ame Diphoko)

Pending feedback from Sara. Clarification of requirements

#6 - 14/02/2024 11:20 - Ame Diphoko

- Assignee set to Moses Chawawa

#7 - 16/02/2024 15:12 - Moses Chawawa

- Status changed from New to In Progress

#8 - 19/02/2024 10:56 - Moses Chawawa

- Due date set to 20/02/2024

#9 - 27/02/2024 13:46 - Moses Chawawa

- Status changed from In Progress to Resolved

#10 - 06/03/2024 17:25 - Pearl Maano

- Status changed from Resolved to Feedback
started the process by re-consenting to V3 but there was option to key in V3 of Child continued consent, paused here. We need guide on how to UAT this

issue.

#11 - 06/03/2024 19:55 - Moses Chawawa

- Status changed from Feedback to Resolved

When the child turn 18, on the continued consent if the child no longer need to carry on with caregiver, the caregiver go off schedule ... what's to be UATed

is the offschedule functionality

#12 - 07/03/2024 12:50 - Gaontebale Elija

- File Screenshot 2024-03-07 at 10.55.46.png added

- Status changed from Resolved to Feedback

We started the process by re-consenting to V3, after keying in the consents, the child Assent button pops up and gives an error message that the child

Assent is not required- Kindly allow for re-consenting to V3 of the Child Continued Consent.

NB: the child is above 18 years and Assent is not required, the child has to sign Child Continued Consent.

Find attached the screenshot.

#13 - 07/03/2024 15:22 - Moses Chawawa

- Status changed from Feedback to Resolved

For the following above issue, please refer to ticket #7449 if possible kindly test using a working PID. If you need any help, please feel free to reach out.

#14 - 18/03/2024 12:43 - Gaontebale Elija

- Status changed from Resolved to Feedback

The previous feedback still stands- awaiting ticket #7449 to be resolved.

#15 - 19/03/2024 11:57 - Pearl Maano

- File Screenshot 2024-03-19 at 10.19.30.png added

Re-consenting is fine now, when child chooses not to continue with caregiver system successfully removes caregiver from schedules. The current issue

now with successfully capturing data for the child's quarterly call is that when selecting that information is being collect from "self" that being the child it

gives error message that child has to present to give information themselves but we would ideally be doing this via phone call. Kindly allow for this

functionality so we do not get an error message. Please note allow only for this criteria of children. Tested using PID 0531-1. See attached screenshot for

the error message.

#16 - 20/03/2024 11:11 - Pearl Maano

- Status changed from Feedback to Closed
Continued consent saves and caregiver removed from schedules. Issue passed on test server.

Files

Screenshot 2024-03-07 at 10.55.46.png 880 KB 07/03/2024 Gaontebale Elija

Screenshot 2024-03-19 at 10.19.30.png 1.06 MB 19/03/2024 Pearl Maano
